from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSheetPastable(XInterface, Protocol):
    def paste(self, aDestination: CellAddress) -> None: ...
    def pasteFormat(self, aDestination: CellAddress, aFormat: str) -> None: ...
    def pasteCellRange(self, aDestination: CellRangeAddress, nOperation: PasteOperation, nContents: int, bSkipEmpty: bool, bTranspose: bool, bAsLink: bool, nInsert: CellInsertMode) -> None: ...
